; Calling tape routines, trapping errors
; ======================================

; TAPELD - Load block from tape
; -----------------------------
; On entry: A =block type
;           IX=start
;           DE=length
;           CS=load, CC=verify
; On exit:   C=Ok
;           NC=No block loaded, or verify error, or BREAK pressed
ERRSP	EQU	23613
TAPELD	LD	HL,(ERRSP)	; Save error handler
	PUSH	HL
	CALL	TAPEL2
	JR	TAPERET
TAPEL2	LD	(ERRSP),SP
	JP	&0556		; Call LD_BYTES

; TAPESV - Save block to tape
; ---------------------------
; On entry: A =block type
;           IX=start
;           DE=length
; On exit:   C=Ok
;           NC=BREAK pressed
TAPESV	LD	HL,(ERRSP)	; Save error handler
	PUSH	HL
	CALL	TAPES2
TAPERET	POP	HL
	LD	(ERRSP),HL
	RET
TAPES2	LD	(ERRSP),SP
	JP	&04C2		; Call SV_BYTES
